<!DOCTYPE html>
<html>
    <head>
        <meta charset="UTF-8">
        <meta name="viewport" content="width=device-width, initial-scale=1.0">
        <title>{% block title %}Welcome!{% endblock %}</title>
        {# Run `composer require symfony/webpack-encore-bundle` to start using Symfony UX #}
        {% block stylesheets %}
            <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.1.3/dist/css/bootstrap.min.css" rel="stylesheet" integrity="sha384-1BmE4kWBq78iYhFldvKuhfTAU6auU8tT94WrHftjDbrCEXSU1oBoqyl2QvZ6jIW3" crossorigin="anonymous">
        {% endblock %}

        {% block javascripts %}
        {% endblock %}
    </head>
    <body class="justify-content-center">
        <nav class="navbar navbar-expand-sm bg-dark justify-content-center py-3">
                <ul class="navbar-nav" class="nav-link">
                    <li class="nav-item">
                        <a href="{{ url('index_index') }}" class="nav-link text-white">home</a>
                    </li>
                    <li class="nav-item">
                        <a href="{{ url('product_index') }}" class="nav-link text-white">produits</a>
                    </li>
                    <li class="nav-item">
                        <a href="{{ url('category_index') }}" class="nav-link text-white">catégories</a>
                    </li>
                    {% if app.user %}
                    {% else %}
                    <li class="nav-item">
                        <a href="{{ url('app_login') }}" class="nav-link text-white">connexion</a>
                    </li>
                    <li class="nav-item">
                        <a href="{{ url('app_register') }}" class="nav-link text-white">s'enregistrer</a>
                    </li>

                    {% endif %}
                    <li class="nav-item">
                        <a href="{{ url('app_logout') }}" class="nav-link text-white">deconnexion</a>
                    </li>
                </ul>
        </nav>
        {% block body %}
            <h1>{{titre}}</h1>
        {% endblock %}
    </body>
</html>
